%define api		0.0
%define major		0
%define libname		%mklibname handy %{api} %{major}
%define girhandyname	%mklibname handy-gir %{api}
%define develname	%mklibname handy -d %{api}

Name:		libhandy
Version:	0.0.13
Release:	%mkrel 3
Summary:	A GTK+ library to develop UI for mobile devices
License:	LGPLv2+
Group:		System/Libraries
URL:		https://source.puri.sm/Librem5/libhandy/
Source0:	https://source.puri.sm/Librem5/libhandy/-/archive/v%{version}/%{name}-v%{version}.tar.xz
Patch1:		libhandy-adapt-glade-3-36.patch
Requires:   glade
BuildRequires:	gtk-doc
BuildRequires:	meson
BuildRequires:	vala
BuildRequires:	pkgconfig(gladeui-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.24.1

%description
libhandy is a library to help with developing UI for mobile devices
using GTK+/GNOME.

#------------------------------------------------

%package -n	%{libname}
Summary:	A GTK+ library to develop UI for mobile devices
Group:		System/Libraries
Obsoletes:  libhandy-glade < 0.0.13

%description -n	%{libname}
This package provides the shared library for libhandy, a library to
help with developing mobile UI using GTK+/GNOME.

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	handy-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%setup -qn %{name}-v%{version}
%apply_patches

%build
%meson \
	-Dprofiling=false \
	-Dstatic=false \
	-Dintrospection=enabled \
	-Dvapi=true \
	-Dgtk_doc=true \
	-Dtests=false \
	-Dexamples=false \
	-Dglade_catalog=disabled \
	%{nil}
%meson_build
%meson_build libhandy-doc

%install
%meson_install

%files -n %{libname}
%{_libdir}/libhandy-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Handy-%{api}.typelib

%files -n %{develname}
%{_includedir}/libhandy-%{api}/
%{_libdir}/libhandy-%{api}.so
%{_datadir}/gir-1.0/Handy-%{api}.gir
%{_libdir}/pkgconfig/libhandy-%{api}.pc
%{_datadir}/vala/vapi/libhandy-%{api}.deps
%{_datadir}/vala/vapi/libhandy-%{api}.vapi
%{_datadir}/gtk-doc/html/libhandy/


%changelog
* Fri Feb 18 2022 tex - 0.0.13-3pclos2022
- add glade patch
- Disable glade catalog: it doesn't build with glade 3.38.0

* Mon Sep 14 2020 tex - 0.0.13-2pclos2020
- fix devel pkg

* Thu Jan 23 2020 tex - 0.0.13-1pclos2020
- new version

* Sat Jan 20 2020 tex - 0.0.12-1pclos2020
- update

* Wed Sep 11 2019 tex - 0.0.11-1pclos2019
- new version

* Wed Sep 11 2019 tex - 0.1.11-1pclos2019
- new version

* Wed Apr 17 2019 tex 0.0.9-1pclos2019
- initial package libhandy

